[PATCH 4 of 4 eac] [schema] Backport security settings from the saem_ref cube

Sylvain Thénault sylvain.thenault at logilab.fr
Wed Mar 8 11:31:53 CET 2017



Le 08/03/2017 à 11:11, Denis Laxalde a écrit :
> Sylvain Thenault a écrit :
>> # HG changeset patch
>> # User Sylvain Thénault <sylvain.thenault at logilab.fr>
>> # Date 1488958771 -3600
>> #      Wed Mar 08 08:39:31 2017 +0100
>> # Node ID f8611ef99b97cec2af1792d3c0e70a1134f77b34
>> # Parent  47724158121da77c11fa61c543d855a7a4842fc6
>> [schema] Backport security settings from the saem_ref cube
>>
>> introducing a dependency to the compound cube.
>
> Could you explain why you need this?
will do
>
>> diff --git a/cubicweb-eac.spec b/cubicweb-eac.spec
>> --- a/cubicweb-eac.spec
>> +++ b/cubicweb-eac.spec
>> @@ -22,10 +22,11 @@ BuildRoot:      %{_tmppath}/%{name}-%{ve
>>  BuildRequires:  %{python} %{python}-setuptools
>>  Requires:       cubicweb >= 3.24.0
>>  Requires:       cubicweb-prov >= 0.4.0
>>  Requires:       cubicweb-skos
>>  Requires:       cubicweb-addressbook
>> +Requires:       cubicweb-compound
>
> Don't we need a lower bound? (Here and in other packaging files)

it depends on unreleased code, so lower bound is for now a custom
dev-requirement, and proper bound will be set once the cube is released.

>
>>  Requires:       %{python}-six >= 1.4.0
>>
>>  %description
>>  Implementation of Encoded Archival Context for CubicWeb
>>
>

-- 
Sylvain Thénault, LOGILAB, Paris (01.45.32.03.12) - Toulouse (05.62.17.16.42)
Formations Python, Debian, Méth. Agiles: http://www.logilab.fr/formations
Développement logiciel sur mesure:       http://www.logilab.fr/services
CubicWeb, the semantic web framework:    http://www.cubicweb.org



More information about the saem-devel mailing list